# azure.mgmt.eventhub.v2018_01_01_preview.models module

exception `azure.mgmt.eventhub.v2018_01_01_preview.models.``ErrorResponseException`(deserialize, response, *args)

  Bases: `msrest.exceptions.HttpOperationError`

  Server responsed with exception of type: ‘ErrorResponse’.

  Parameters:

  - deserialize – A deserializer
  - response – Server response to be deserialized.

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``AvailableCluster`(*, location: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Pre-provisioned and readily available Event Hubs Cluster count per region.

  Parameters: | location (str) – Location fo the Available Cluster

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``AvailableClustersList`(*, value=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The response of the List Available Clusters operation.

  Parameters: | value (list[AvailableCluster]) – The count of readily available and pre-provisioned Event Hubs Clusters per region.

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``Cluster`(*, location: str = None, tags=None, sku=None, **kwargs)

  Bases: `azure.mgmt.eventhub.v2018_01_01_preview.models._models_py3.TrackedResource`

  Single Event Hubs Cluster resource in List or Get operations.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type
  - created (str) – The UTC time when the Event Hubs Cluster was created.
  - updated (str) – The UTC time when the Event Hubs Cluster was last updated.
  - metric_id (str) – The metric ID of the cluster resource. Provided by the service and not modifiable by the user.
  - status (str) – Status of the Cluster resource

  Parameters:

  - location (str) – Resource location
  - tags (dict[str, str]) – Resource tags
  - sku (ClusterSku) – Properties of the cluster SKU.

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``ClusterQuotaConfigurationProperties`(*, settings=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Contains all settings for the cluster.

  Parameters: | settings (dict[str, str]) – All possible Cluster settings - a collection of key/value paired settings which apply to quotas and configurations imposed on the cluster.

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``ClusterSku`(*, capacity: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  SKU parameters particular to a cluster instance.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables: | name (str) – Required. Name of this SKU. Default value: “Dedicated” .
  Parameters: | capacity (int) – The quantity of Event Hubs Cluster Capacity Units contained in this cluster.

  `name` = 'Dedicated'

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``EHNamespace`(*, location: str = None, tags=None, sku=None, is_auto_inflate_enabled: bool = None, maximum_throughput_units: int = None, kafka_enabled: bool = None, zone_redundant: bool = None, **kwargs)

  Bases: `azure.mgmt.eventhub.v2018_01_01_preview.models._models_py3.TrackedResource`

  Single Namespace item in List or Get Operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type
  - provisioning_state (str) – Provisioning state of the Namespace.
  - created_at (datetime) – The time the Namespace was created.
  - updated_at (datetime) – The time the Namespace was updated.
  - service_bus_endpoint (str) – Endpoint you can use to perform Service Bus operations.
  - metric_id (str) – Identifier for Azure Insights metrics.

  Parameters:

  - location (str) – Resource location
  - tags (dict[str, str]) – Resource tags
  - sku (Sku) – Properties of sku resource
  - is_auto_inflate_enabled (bool) – Value that indicates whether AutoInflate is enabled for eventhub namespace.
  - maximum_throughput_units (int) – Upper limit of throughput units when AutoInflate is enabled, value should be within 0 to 20 throughput units. ( ‘0’ if AutoInflateEnabled = true)
  - kafka_enabled (bool) – Value that indicates whether Kafka is enabled for eventhub namespace.
  - zone_redundant (bool) – Enabling this property creates a Standard Event Hubs Namespace in regions supported availability zones.

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``EHNamespaceIdContainer`(*, id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The full ARM ID of an Event Hubs Namespace.

  Parameters: | id (str) – id parameter

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``EHNamespaceIdListResult`(*, value=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The response of the List Namespace IDs operation.

  Parameters: | value (list[EHNamespaceIdContainer]) – Result of the List Namespace IDs operation

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``ErrorResponse`(*, code: str = None, message: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Error response that indicates the service is not able to process the incoming request. The reason is provided in the error message.

  Parameters:

  - code (str) – Error code.
  - message (str) – Error message indicating why the operation failed.

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``IpFilterRule`(*, ip_mask: str = None, action=None, filter_name: str = None, **kwargs)

  Bases: `azure.mgmt.eventhub.v2018_01_01_preview.models._models_py3.Resource`

  Single item in a List or Get IpFilterRules operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type

  Parameters:

  - ip_mask (str) – IP Mask
  - action (str or IPAction) – The IP Filter Action. Possible values include: ‘Accept’, ‘Reject’
  - filter_name (str) – IP Filter name

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``NetworkRuleSet`(*, default_action=None, virtual_network_rules=None, ip_rules=None, **kwargs)

  Bases: `azure.mgmt.eventhub.v2018_01_01_preview.models._models_py3.Resource`

  Description of topic resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type

  Parameters:

  - default_action (str or DefaultAction) – Default Action for Network Rule Set. Possible values include: ‘Allow’, ‘Deny’
  - virtual_network_rules (list[NWRuleSetVirtualNetworkRules]) – List VirtualNetwork Rules
  - ip_rules (list[NWRuleSetIpRules]) – List of IpRules

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``NWRuleSetIpRules`(*, ip_mask: str = None, action=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The response from the List namespace operation.

  Parameters:

  - ip_mask (str) – IP Mask
  - action (str or NetworkRuleIPAction) – The IP Filter Action. Possible values include: ‘Allow’

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``NWRuleSetVirtualNetworkRules`(*, subnet=None, ignore_missing_vnet_service_endpoint: bool = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The response from the List namespace operation.

  Parameters:

  - subnet (Subnet) – Subnet properties
  - ignore_missing_vnet_service_endpoint (bool) – Value that indicates whether to ignore missing Vnet Service Endpoint

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``Operation`(*, display=None, **kwargs)

  Bases: `msrest.serialization.Model`

  A Event Hub REST API operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | name (str) – Operation name: {provider}/{resource}/{operation}
  Parameters: | display (OperationDisplay) – The object that represents the operation.

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``OperationDisplay`(**kwargs)

  Bases: `msrest.serialization.Model`

  The object that represents the operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - provider (str) – Service provider: Microsoft.EventHub
  - resource (str) – Resource on which the operation is performed: Invoice, etc.
  - operation (str) – Operation type: Read, write, delete, etc.

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``Resource`(**kwargs)

  Bases: `msrest.serialization.Model`

  The Resource definition.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``Sku`(*, name, tier=None, capacity: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  SKU parameters supplied to the create namespace operation.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str or SkuName) – Required. Name of this SKU. Possible values include: ‘Basic’, ‘Standard’
  - tier (str or SkuTier) – The billing tier of this particular SKU. Possible values include: ‘Basic’, ‘Standard’
  - capacity (int) – The Event Hubs throughput units, value should be 0 to 20 throughput units.

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``Subnet`(*, id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Properties supplied for Subnet.

  Parameters: | id (str) – Resource ID of Virtual Network Subnet

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``TrackedResource`(*, location: str = None, tags=None, **kwargs)

  Bases: `azure.mgmt.eventhub.v2018_01_01_preview.models._models_py3.Resource`

  Definition of an Azure resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type

  Parameters:

  - location (str) – Resource location
  - tags (dict[str, str]) – Resource tags

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``VirtualNetworkRule`(*, virtual_network_subnet_id: str = None, **kwargs)

  Bases: `azure.mgmt.eventhub.v2018_01_01_preview.models._models_py3.Resource`

  Single item in a List or Get VirtualNetworkRules operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type

  Parameters: | virtual_network_subnet_id (str) – ARM ID of Virtual Network Subnet

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``OperationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Operation` object

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``ClusterPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Cluster` object

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``EHNamespacePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `EHNamespace` object

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``IpFilterRulePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `IpFilterRule` object

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``VirtualNetworkRulePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `VirtualNetworkRule` object

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``SkuName`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `basic` = 'Basic'
  `standard` = 'Standard'

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``SkuTier`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `basic` = 'Basic'
  `standard` = 'Standard'

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``IPAction`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `accept` = 'Accept'
  `reject` = 'Reject'

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``NetworkRuleIPAction`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `allow` = 'Allow'

class `azure.mgmt.eventhub.v2018_01_01_preview.models.``DefaultAction`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `allow` = 'Allow'
  `deny` = 'Deny'